Bug 23120 - Internal server error when checking in item to transfer and printing slip
Summary: Internal server error when checking in item to transfer and printing slip
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 22977
  Show dependency treegraph
 
Reported: 2019-06-14 12:01 UTC by Nick Clemens
Modified: 2019-07-12 13:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.02


Attachments
Bug 23120: Pass necessary inputs through when transferring item automatically (1.56 KB, patch)
2019-06-14 12:05 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23120: Pass necessary inputs through when transferring item automatically (1.62 KB, patch)
2019-06-14 21:00 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 23120: Pass necessary inputs through when transferring item automatically (1.68 KB, patch)
2019-06-17 07:36 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-06-14 12:01:46 UTC
To recreate:
1 - Find an item in you system
2 - Have syspref  AutomaticItemReturn = Do
3 - Check in the item at a branch that is not its homebranch
4 - Click 'Print slip' on the modal popup
5 - Error!
Comment 1 Nick Clemens 2019-06-14 12:05:08 UTC
Created attachment 90597 [details] [review]
Bug 23120: Pass necessary inputs through when transferring item automatically

To test:
 1 - Find an item in you system
 2 - Have syspref  AutomaticItemReturn = Do
 3 - Check in the item at a branch that is not its homebranch
 4 - Click 'Print slip' on the modal popup
 5 - Error!
 6 - Apply patch
 7 - Check the item in at its homebranch (to clear transfers)
 8 - Check it in at another branch again
 9 - Print slip
10 - Success!
Comment 2 M. Tompsett 2019-06-14 21:00:37 UTC
Created attachment 90633 [details] [review]
Bug 23120: Pass necessary inputs through when transferring item automatically

To test:
 1 - Find an item in you system
 2 - Have syspref  AutomaticItemReturn = Do
 3 - Check in the item at a branch that is not its homebranch
    a) admin/admin set library
    b) circulation->checkin
 4 - Click 'Print slip' on the modal popup
 5 - Error!
 6 - Apply patch
 7 - Check the item in at its homebranch (to clear transfers)
 8 - Check it in at another branch again
 9 - Print slip
10 - Success!

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Martin Renvoize 2019-06-17 07:36:15 UTC
Created attachment 90638 [details] [review]
Bug 23120: Pass necessary inputs through when transferring item automatically

To test:
 1 - Find an item in you system
 2 - Have syspref  AutomaticItemReturn = Do
 3 - Check in the item at a branch that is not its homebranch
 4 - Click 'Print slip' on the modal popup
 5 - Error!
 6 - Apply patch
 7 - Check the item in at its homebranch (to clear transfers)
 8 - Check it in at another branch again
 9 - Print slip
10 - Success!

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-06-17 07:36:50 UTC
Nice easy fix, works well.  Passing QA
Comment 5 Martin Renvoize 2019-06-18 09:07:53 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-07-12 13:10:30 UTC
Pushed to 19.05.x for 19.05.02